Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.iccdemo
Class CURLSelector

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.channels.iccdemo.CURLSelector

All Implemented Interfaces:
  IChannel

    public class CURLSelector

extends BaseChannel

A url selector channel (part of the Inter-channel communication demo).

Version:
  $Revision: 1.12 $
Author:
  Peter Kharchenko

Field Summary
`private static java.lang.String` | `historyFname`
`private static org.apache.commons.logging.Log` | `log`
`private static java.lang.String` | `sslLocation`
`private boolean` | `usingRenderingGroups`
`private static java.lang.String` | `viewerFname`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`runtimeData, staticData`

Constructor Summary
`CURLSelector()`

Method Summary
`private void` | `deRegisterListeners()` A utility method to remove a veriwer channel as a listener of this channel.
`private java.lang.Object` | `getBoundObject(java.lang.String channelSubscribeId)` A utility method to determine an object bound to the "chan-obj" branch for a particular channel id.
`private java.lang.String` | `getChannelId(java.lang.String fname)` A utility method for obtaining a channelSubscribeId given a channel fname
`private org.w3c.dom.Document` | `getUserXML()`
`private void` | `registerListeners()` A utility method to register viewer channel as listeners of the current channel Note that we're only registering viewer channel as a listener, since CURLSelector does not talk to CHistory directly (CViewer handles that)
`void` | `renderXML(org.xml.sax.ContentHandler out)` Render method.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd)` Passes ChannelStaticData to the channel.
`private void` | `setViewerURL(java.lang.String url)` A utility method that communicates the new url to the viewer channel

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

### viewerFname

    private static final java.lang.String viewerFname

See Also:
  Constant Field Values

### historyFname

    private static final java.lang.String historyFname

See Also:
  Constant Field Values

### usingRenderingGroups

    private boolean usingRenderingGroups

Constructor Detail

### CURLSelector

    public CURLSelector()

Method Detail

### setStaticData

    public void setStaticData(ChannelStaticData sd)
                       throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Specified by:
    `setStaticData` in interface `IChannel`
  Overrides:
    `setStaticData` in class `BaseChannel`
  Parameters:
    `sd` - channel static data
  Throws:
    `PortalException`
  See Also:
    `ChannelStaticData`

### registerListeners

    private void registerListeners()

  A utility method to register viewer channel as listeners of the current channel Note that we're only registering viewer channel as a listener, since CURLSelector does not talk to CHistory directly (CViewer handles that)

### deRegisterListeners

    private void deRegisterListeners()

  A utility method to remove a veriwer channel as a listener of this channel. This will cause 1cycle delays in relating the url to the viewer channel

### getUserXML

    private org.w3c.dom.Document getUserXML()

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### setViewerURL

    private void setViewerURL(java.lang.String url)

  A utility method that communicates the new url to the viewer channel

  Parameters:
    `url` - a `String` value

### getChannelId

    private java.lang.String getChannelId(java.lang.String fname)

  A utility method for obtaining a channelSubscribeId given a channel fname

  Parameters:
    `fname` - a `String` value
  Returns:
    channel's subscribe id, or `null` if no channel with given fname was found

### getBoundObject

    private java.lang.Object getBoundObject(java.lang.String channelSubscribeId)

  A utility method to determine an object bound to the "chan-obj" branch for a particular channel id.

  Parameters:
    `channelSubscribeId` - a `String` value of the channel who's object we're looking for
  Returns:
    an `Object` value bound to that jndi location (or `null` if channel didn't bind anything)

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Render method.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the content handler
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD